FROM denoland/deno:latest

WORKDIR /app

EXPOSE 80

COPY . /app

RUN deno cache index.ts

# allow-net for http server
# allow-env for env vars for configuration
# allow-read to read the static files for stops and trips
CMD ["deno", "run", "--allow-net", "--allow-env", "--allow-read", "index.ts"]
